/* IconSaver.h created by epeyton on Fri 17-Sep-1999 */

#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>

#import "IconImage.h"

@class IconImage;

@interface IconSaver : ScreenSaverView
{
    NSArray 		*directoryArray;
    id			sharedInspectorPanel;
    NSMutableArray 	*iconImageArray;
    BOOL		canDraw;
    float		width;
    float		height;
    id			window;

}
- (NSArray *)getAvailableIconDirectories:(BOOL)recreate;

- (NSArray *)arrayAtLocation:(NSString *)location;

- (NSRect)randomRect;

- (void)removeIconImage:(IconImage *)iconImage;

- (void)recreateIconPaths:sender;

@end
