#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>
#import <OpenGL/gl.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>

#define CONTP_TOTAL 30 /* Total of control points */
#define DEPTH       3 /* Depth of each block */
#define QWIDTH      0.8
#define PI          3.14159
#define RADIUS      1

struct xyzp
{
  float z;
  float xx, yy;
};



@interface Tunnel : ScreenSaverView
{
    NSOpenGLView *_view;
    BOOL _initedGL;
    
    int i, j;
    float speed;
    struct xyzp controlp[CONTP_TOTAL];
    unsigned *teximage;
    
}
@end
