/* GLMorph.h created by epeyton on Thu 03-Dec-1998 */

#import <AppKit/AppKit.h>
#import <ScreenSaver/ScreenSaver.h>
#import <OpenGL/gl.h>

typedef struct {
	GLint       WindH, WindW;
	GLfloat     step;
	GLfloat     seno;
	int         object;
        void        (*draw_object) (void * mp);
	int         edgedivisions;
	int         VisibleSpikes;
	float       Magnitude;
	float      *MaterialColor[20];
        int		isMono, isWireframe;
} morph3dstruct;


@interface GLMorph : ScreenSaverView
{
    id isMono;
    id isUnshaded;
    id window;
    id objectArray;
        
    NSOpenGLView *_view;
    BOOL _initedGL;
    morph3dstruct *mp;
}

@end


